
import { Node } from "./abstract-node";

export class SourceNode extends Node{

    public static readonly TYPE = 'source';
    public static readonly TYPE_PATTERN = /^\{SRC\}/;

    public constructor(name: string, data: string) {
        super(name, data);
    }

    public static load(fileName: string, fileData: string) {
        const name = fileName.replace(SourceNode.TYPE_PATTERN, '')
                    .replace('.md', '')    
                    .trim();
        return new SourceNode(name, fileData);
    }

}